Update contact

Update an existing contact in the Omnisend system.

  • HTTP Method: PATCH

  • Endpoint: https://api.omnisend.com/v3/contacts/{contactID}

  • Replace {contactID} with the actual contact's ID in our system.

Updating a Contact

To update a contact, make a PATCH request to the provided endpoint. Only include the fields you want to update for the contact.

Example: PATCH https://api.omnisend.com/v3/contacts/696969

Request Parameters

  • contactID (path parameter): The unique ID of the contact in our system.

Updating Fields

Note: Identifiers (identifiers.id value for type phone, email) will be added or updated only if they are not already assigned to another contact.

Path Params
string
required
Body Params
identifiers
array of objects
required
Identifier Input*
string
string
tags
array of strings

Tags are labels you create to organize and manage your audience. When creating a new contact we strongly advice to add source tag, i.e. "source: shopify"

tags
string
string
length between 2 and 2

ISO Country code. You can find all country codes in Guides part.

string
string
string

Street, house number, apartment

string

Contact's postal or zip code.

string
enum
length between 1 and 1

m - male, f- female

Allowed:
date

Format: YYYY-MM-DD. Example: 1981-11-05

customProperties
object

You can add your own custom properties. Read more in https://api-docs.omnisend.com/reference/contacts#custom-properties

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json